Skip to content
GET/{organizationId}/{mandateId}/crm/contracts/collections/{contractCollectionId}

Gets a specific contract collection with all of its details

Required permissions:

  • mandate.read

  • contractCollection.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
contractCollectionIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/crm/contracts/collections/{contractCollectionId}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/contracts/collections/{contractCollectionId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

ObjectId as string

statusstringrequired

Options:

collectingdraftcompletedsentpartialPaidpaid
progressintegerrequired

minimum: 0

maximum: 100

contractCounterintegerrequired

minimum: 0

maximum: 9007199254740991

failedContractCounterintegerrequired

minimum: 0

maximum: 9007199254740991

Additional properties are not allowed.

nextActionstring | nullrequired

Options:

completesendcollectDirectDebitscollectOnlineDebitscharge
totalAmountintegerrequired

minimum: 0

maximum: 9999999999

openAmountintegerrequired

minimum: 0

maximum: 9999999999

paidAmountintegerrequired

minimum: 0

maximum: 9999999999

createdAtdate-time | nulloptional

Response

200
{
  "_id": "000000000000000000000001",
  "mandate": "000000000000000000000001",
  "status": "collecting",
  "progress": 0,
  "contractCounter": 0,
  "failedContractCounter": 0,
  "receiptCounters": {
    "total": 0,
    "draft": 0,
    "completed": 0,
    "sent": 0,
    "paymentMethodTypes": {},
    "sendMethodTypes": {}
  },
  "nextAction": "complete",
  "totalAmount": 0,
  "openAmount": 0,
  "paidAmount": 0
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}